All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.discovery
Interface RemoteDiscoveryServiceInterface

All Superinterfaces:
  DiscoveryAdminInterface, DiscoveryServiceInterface, com.sas.entities.EntityKeyInterface, FindServiceInterface, java.rmi.Remote, RemoteServiceInterface, ServiceNotificationBroadcasterInterface

All Known Implementing Classes:
  RemoteDiscoveryServiceProxy

    public interface RemoteDiscoveryServiceInterface

extends DiscoveryServiceInterface

Marker interface used to denote a discovery service that is capable of servicing remote clients.

Since:
  1.2

Field Summary

Fields inherited from interface com.sas.services.discovery.FindServiceInterface
`FIND_ALL_MATCHES, FIND_ONE_MATCH`

Fields inherited from interface com.sas.services.RemoteServiceInterface
`CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

Method Summary

Methods inherited from interface com.sas.services.discovery.FindServiceInterface
`findService, findServices, findServiceUsingId`

Methods inherited from interface com.sas.services.discovery.DiscoveryAdminInterface
`addDiscoveryDelegate, addService, getDiscoverers, getLocalServices, getRemoteServices, removeDiscoveryDelegate, removeService`

Methods inherited from interface com.sas.services.RemoteServiceInterface
`configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface
`addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.